Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.menu.event
Class CheckItemListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.menu.event.BaseItemListenerAdapter
              com.gwtext.client.widgets.menu.event.CheckItemListenerAdapter

All Implemented Interfaces:
  ComponentListener, BaseItemListener, CheckItemListener

    public class CheckItemListenerAdapter

extends BaseItemListenerAdapter
implements CheckItemListener

Constructor Summary
`CheckItemListenerAdapter()`

Method Summary
`boolean` | `doBeforeCheckChange(CheckItem item, boolean checked)` Fires before the checked value is set, providing an opportunity to cancel if needed.
`void` | `onCheckChange(CheckItem item, boolean checked)` Fires after the checked value has been set.

Methods inherited from class com.gwtext.client.widgets.menu.event.BaseItemListenerAdapter
`onActivate, onClick, onDeactivate`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.menu.event.BaseItemListener
`onActivate, onClick, onDeactivate`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### CheckItemListenerAdapter

    public CheckItemListenerAdapter()

Method Detail

### doBeforeCheckChange

    public boolean doBeforeCheckChange(CheckItem item,
                                       boolean checked)

  Description copied from interface: `CheckItemListener`
  Fires before the checked value is set, providing an opportunity to cancel if needed.

  Specified by:
    `doBeforeCheckChange` in interface `CheckItemListener`
  Parameters:
    `item` - this
    `checked` - the new checked value that will be set
  Returns:
    false to cancel

### onCheckChange

    public void onCheckChange(CheckItem item,
                              boolean checked)

  Description copied from interface: `CheckItemListener`
  Fires after the checked value has been set.

  Specified by:
    `onCheckChange` in interface `CheckItemListener`
  Parameters:
    `item` - this
    `checked` - the checked value that was set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD